From: Yevgeny Kliteynik <kliteyn-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
To: Sasha Khapyorsky
<sashak-smomgflXvOZWk0Htik3J/w@public.gmane.org>Sasha Khapyorsky
<sashak-smomgflXvOZWk0Htik3J/w@public.gmane.org>
Cc: Linux RDMA <linux-rdma-u79uwXL29TY76Z2rM5mHXA@public.gmane.org>
Subject: infiniband-diags/ibstatus: add link_layer for RoCEE support
Date: Tue, 09 Mar 2010 12:37:38 +0200 [thread overview]
Message-ID: <4B9624F2.1000507@dev.mellanox.co.il> (raw)
RoCEE introduces new file in sysfs: "link_layer".
Assume IB if the file doesn't exist (driver w/o RoCEE support).
Signed-off-by: Yevgeny Kliteynik <kliteyn-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
---
infiniband-diags/scripts/ibstatus | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/infiniband-diags/scripts/ibstatus b/infiniband-diags/scripts/ibstatus
index 87fbb0c..f7fbbc2 100755
--- a/infiniband-diags/scripts/ibstatus
+++ b/infiniband-diags/scripts/ibstatus
@@ -31,6 +31,7 @@ port_status() {
echo " state: " `[ -r $port_dir/state ] && cat $port_dir/state || echo unknown`
echo " phys state: " `[ -r $port_dir/phys_state ] && cat $port_dir/phys_state || echo unknown`
echo " rate: " `[ -r $port_dir/rate ] && cat $port_dir/rate || echo unknown`
+ echo " link_layer: " `[ -r $port_dir/link_layer ] && cat $port_dir/link_layer || echo IB`
echo
}
--
1.5.1.4
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to majordomo-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
next reply other threads:[~2010-03-09 10:37 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2010-03-09 10:37 Yevgeny Kliteynik [this message]
[not found] ` <4B9624F2.1000507-LDSdmyG8hGV8YrgS2mwiifqBs+8SCbDb@public.gmane.org>
2010-03-23 11:29 ` infiniband-diags/ibstatus: add link_layer for RoCEE support Sasha Khapyorsky
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=4B9624F2.1000507@dev.mellanox.co.il \
--to=kliteyn-ldsdmyg8hgv8yrgs2mwiifqbs+8scbdb@public.gmane.org \
--cc=linux-rdma-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
--cc=sashak-smomgflXvOZWk0Htik3J/w@public.gmane.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox